Bug 67665 - Server closing connection at end of client registration
Server closing connection at end of client registration
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 14:35 EDT by Bret McMillan
Modified: 2007-07-31 15:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-28 14:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bret McMillan 2002-06-28 14:35:32 EDT
Description of Problem:
Looks like there is a problem with new user creation or something.

Here's the relevant log data:

2002/06/28 14:40:03 12349 172.16.59.198:
server/apacheRequest.call_function('registration.new_user',)
2002/06/28 14:40:03 12349 172.16.59.198:
server/apacheRequest.method_ref('xmlrpc', 'registration.new_user')
2002/06/28 14:40:03 12349 172.16.59.198:
xmlrpc/registration.new_user('rhn7_test', 'pink4all', 'bretm@redhat.com')
2002/06/28 14:40:03 12349 172.16.59.198: server/rhnUser.new_user('rhn7_test', 1)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select w.id, w.password, w.old_password from web_contact w where w.login_uc =
upper(:username)',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select login, password, password old_password from rhnUserReserved where
login_uc = upper(:username)',)
2002/06/28 14:40:03 12349 172.16.59.198:
server/rhnUser.check_password('Encrypted password:', 1)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select id from web_contact where rownum = 0',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select id from web_customer where rownum = 0',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select web_user_id from web_user_personal_info where rownum = 0',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select web_user_id from web_user_contact_permission where rownum = 0',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.prepare('SQL code:
select id from web_user_site_info where rownum = 0',)
2002/06/28 14:40:03 12349 172.16.59.198: server/rhnUser.set_info('email',
'bretm@redhat.com')
2002/06/28 14:40:03 12349 172.16.59.198: server/rhnUser.save('rhn7_test',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.commit('rhnsat',)
2002/06/28 14:40:03 12349 172.16.59.198: rhnSQL/intOracle.rollback('rhnsat', None)
2002/06/28 14:40:03 12349 172.16.59.198: server/apacheHandler.handler('Leave
with return value', 500)
2002/06/28 14:40:03 12349 172.16.59.198: common/rhnApache.logHandler
2002/06/28 14:40:09 12349 172.16.59.198: server/apacheHandler.cleanupHandler
2002/06/28 14:40:09 12349 172.16.59.198: common/rhnApache.cleanupHandler
2002/06/28 14:40:09 12349 172.16.59.198: server/apacheHandler.timer('6.43 sec',)


How Reproducible:
Everytime

Steps to Reproduce:
1. Try registering a system (stock 7.3) to sat-app.test.redhat.com
2. 
3. 

Actual Results:
On client:  "A protocol error occured: The server appears to have closed this
connection, attempt #[1-5]"
Comment 1 Bret McMillan 2002-06-28 14:39:00 EDT
More useful info:

Exception Handler Information
Traceback (innermost last):
  File "/var/www/rhns/server/apacheRequest.py", line 71, in call_function
    response = apply(func, params)
  File "/var/www/rhns/server/handlers/xmlrpc/registration.py", line 124, in new_user
    ret = rhnUser.new_user(username, password, email, org_id, org_password)
  File "/var/www/rhns/server/rhnUser.py", line 455, in new_user
    ret = user.save()
  File "/var/www/rhns/server/rhnUser.py", line 274, in save
    self.__save()
  File "/var/www/rhns/server/rhnUser.py", line 197, in __save
    create_new_org = rhnSQL.Procedure("create_new_org")
  File "/var/www/rhns/server/rhnSQL/__init__.py", line 72, in Procedure
    return db.procedure(name)
  File "/var/www/rhns/server/rhnSQL/intOracle.py", line 176, in procedure
    proc = getattr(self.dbh.procedures, name)
  File "/usr/lib/python1.5/site-packages/DCOracle/ociProc.py", line 327, in
__getattr__
    raise OracleError, 'no usable procedure named '+name
OracleError: no usable procedure named create_new_org
Comment 2 Todd Warner 2002-07-08 17:00:18 EDT
User error... problem possibly exists in documenting how to create users etc.

Note You need to log in before you can comment on or make changes to this bug.